Get ranking topics
GET
/ranking_topics
Retrieve top ranking topics from the last 24 hours, sorted by total_tweet_score DESC
Authorizations
ApiKeyAuth
API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx
Type
API Key (header: X-CP-TERMINAL-API-KEY)
Parameters
Query Parameters
top
Number of topics to return (min: 1, max: 50)
Type
integer
Example
10Minimum
1Maximum
50Default
5lang
Language code
Type
string
Valid values
"en""ja""zh"Example
"en"Default
"en"Responses
Successful response
application/json
JSON "code": 0, "message": "ok", "data": [ { "id": 1, "title": "Bitcoin hits new high", "subtitle": "crypto", "summary": "market analysis summary", "category": 0, "lang": "en", "published_at": "2026-01-01T10:00:00Z", "url": "https://coinpost.ai/topics/1" } ]
{
}
